

/*    statistics and rates counters  */


#include <string.h>
#include <stdio.h>

#include <stdlib.h> /* getenv, exit */
#include <signal.h>
#include <errno.h>
#include <unistd.h>

#include <sys/types.h>

#include "common.h"
#include "message.h"
#include "buffer.h"

#include "stats.h"
#include "netvar.h"

void stats_init () {

  int scratchnetint;
  int sj;
  int i;

   extern int * StatsMem[NUMCOUNTERS];
   extern int * RatesMem[NUMCOUNTERS];

  /* create Stats & Rates if needed */
       for (i=0; i<(NUMCOUNTERS/MAXCOUNTERS); i++) {
          sprintf(message_buffer,"MERGE_Stats%d",i);
          readNetInt(message_buffer, 0, 1, &scratchnetint);
       }

       for(i=0;i<NUMCOUNTERS;i++) {
           sj = i-((i/MAXCOUNTERS)*MAXCOUNTERS);
           sprintf(message_buffer,"MERGE_Stats%d",(i/MAXCOUNTERS));
           StatsMem[i] = (int *) getNetIntArrayMem(message_buffer,sj);
           *StatsMem[i] = 0;
       }

       for (i=0; i<(NUMCOUNTERS/MAXCOUNTERS); i++) {
          sprintf(message_buffer,"MERGE_Rates%d",i);
          readNetInt(message_buffer, 0, 1, &scratchnetint);
       }

       for(i=0;i<NUMCOUNTERS;i++) {
           sj = i-((i/MAXCOUNTERS)*MAXCOUNTERS);
           sprintf(message_buffer,"MERGE_Rates%d",(i/MAXCOUNTERS));
           RatesMem[i] = (int *) getNetIntArrayMem(message_buffer,sj);
           *RatesMem[i] = 0;
       }

       printf ("MERGE Stats/Rates created and initialised\n");
}



